op(400,xfx,^).
op(400,xfx,v).

set(knuth_bendix).

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).

assign(pick_given_ratio, 4).
assign(max_weight, 17).
assign(max_mem, 12000).

%%%%%%%%%%%%%%%%%%%%%  Modifications to basic KB strategy below.

list(usable).
x = x.
end_of_list.

list(sos).
x ^ x = x.
x ^ y = y ^ x.
((x v z) ^ (y v z)) ^ z = z.

x v x = x.
x v y = y v x.
((x ^ z) v (y ^ z)) v z = z.

(x v y) v z = x v (y v z).
end_of_list.

list(sos).
x ^ (y v (x v z)) = x.
(A ^ B) ^ C != A ^ (B ^ C) | $Ans(assoc_meet).
% (A v B) v C != A v (B v C) | $Ans(assoc_join).
end_of_list.

% list(passive).
% (A ^ B) ^ C != A ^ (B ^ C) | $Ans(assoc_meet).
% (A v B) v C != A v (B v C) | $Ans(assoc_join).
% end_of_list.
